Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class DeploymentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.ejb.EJBException
                              |
                              +--com.beasys.commerce.foundation.exception.SystemException
                                    |
                                    +--com.beasys.commerce.foundation.exception.DeploymentException

Direct Known Subclasses:
  CatalogDeploymentException

public class DeploymentException
extends SystemException

`DeploymentException` is thrown when an EJB is deployed incorrectly such that it will not function correctly. The remedy will generally require changes to the deployment descriptor.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also:
  `MessageCatalogException`, Serialized Form

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`DeploymentException(java.lang.String beanHomeName, java.lang.String propertyName)` Class constructor.

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeploymentException

    public DeploymentException(java.lang.String beanHomeName,
                               java.lang.String propertyName)

  Class constructor.

  Parameters:
    `beanHomeName` - The JNDI name under which the EJB was deployed
    `propertyName` - The attribute that was misconfigured.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved